@import url('styles.less');

.class-dash-board-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(7, min(300px, 1fr));
  grid-column-gap: 1.3em;
  grid-row-gap: 2em;

  .class-dash-board-greeting {
    grid-area: 1 / 1 / 2 / 3;

    .greeting-text {
      color: @blue-5;
      font-weight: bold;
      font-size: larger;
    }

    .greeting-message {
      font-weight: bold;
      font-size: large;
    }
  }

  .class-dash-board__class-information {
    grid-area: 2/ 1 / 3 / 3;
  }

  .class-dash-board-upcoming-sessions {
    grid-area: 1 / 3 / 8 / 4;
  }

  .class-background-container {
    grid-area: 3/1/4/3;

    .class-background-image {
      width: 100%;
      // height: 100%;
    }
  }

  .class-dash-board-progress {
    grid-area: 4/ 1 / 5 / 3;

    display: flex;
    align-items: flex-start;
    flex-wrap: wrap;

    .progress-chart-container {
      width: 100%
    }
  }

  .class-dash-unchecked-notifications {
    grid-area: 5 / 1 / 8 / 3;
  }
}